//
//  TimerViewModel.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI
import Combine

class TimerViewModel: ObservableObject {
    @Published var currentTime: String = ""
    
    private var cancellable: AnyCancellable?
    
    init() {
        startTimer()
    }
    
    func startTimer() {
        cancellable = Timer.publish(every: 1.0, on: .main, in: .common)
            .autoconnect()
            .map { self.dateFormatter.string(from:  $0) }
            .sink { [weak self] timeString in
                self?.currentTime = timeString
                
            }
            
    }
    
    let dateFormatter: DateFormatter = {
        let formatter = DateFormatter()
        formatter.timeStyle = .medium
        return formatter
    }()
    
}
