//
//  Item.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 17/09/2024.
//

import CoreData

@objc(Item)
public class Item: NSManagedObject {
    @NSManaged public var name: String?
    @NSManaged public var timestamp: Date?
}

extension Item: Identifiable {
    static func getAllItemsRequest() -> NSFetchRequest<Item> {
        let request: NSFetchRequest<Item> = Item.fetchRequest() as! NSFetchRequest<Item>
        request.sortDescriptors = [NSSortDescriptor(key: "timestamp", ascending: true)]
        return request
    }
}
