//
//  DataFetcher.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import Foundation
import SwiftUI
import Combine

class DataFetcher: NSObject, ObservableObject {
    @Published var message = "Waiting for Data"
    
    private var cancellable: AnyCancellable?
    
    func fetchData() {
        let publisher = Just("Hello Combine")
            .delay(for: 2.0, scheduler: RunLoop.main)
            .eraseToAnyPublisher()
        cancellable = publisher.sink { value in
            self.message = value
        }
    }
    
    func fetchCombinedData() {
        let publisher1 = Just("First Data")
            .delay(for: 1.0, scheduler: RunLoop.main)
        let publisher2 = Just("Second Data")
            .delay(for: 2.0, scheduler: RunLoop.main)
        cancellable = publisher1.combineLatest(publisher2)
            .sink { value1, value2 in
                self.message = "\(value1), \(value2)"
                
            }
    }
}
