//
//  Geometry.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import SwiftUI

struct Geometry: View {
    var body: some View {
        GeometryReader { geometry in
            let columns = Int(geometry.size.width/100)
            LazyVGrid(columns: Array(repeating: .init(.flexible()), count: columns)) {
                ForEach(0..<20) { item in
                    Image(systemName: "photo")
                        .resizable()
                        .scaledToFit()
                        .frame(width: 80, height: 80)
                }
            }
        }.background(.gray)
    }
}

#Preview {
    Geometry()
}
