//
//  Grids and Lists.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import SwiftUI

struct Grids_and_Lists: View {
    let items = [
        ("star", "Star"),
        ("moon", "Moon"),
        ("sun.max", "Sun"),
        ("cloud", "Cloud"),
        ("snow", "Snow"),
        ("wind", "Wind"),
    ]
    
    let listItems = ["Swipe me lefr or right", "Try again"]
    
    let columns = [
        GridItem(.adaptive(minimum: 100))]
    
    var body: some View {
        ScrollView {
            LazyVGrid(columns: columns, spacing: 20) {
                ForEach(items, id: \.1) { item in
                    ImagegridItem(imageName: item.0, title: item.1)
                }
            }
            .padding()
        }
        List {
            ForEach(listItems, id: \.self) { item in
                Text(item)
                    .swipeActions {
                        Button(role: .destructive) {
                            print("Delete")
                        } label: {
                            Label("Delete", systemImage: "trash")
                        }
                    }
                    .swipeActions(edge: .leading) {
                        Button {
                            print("Pin")
                        } label: {
                            Label("Pin", systemImage: "pin")
                        }.tint(.orange)
                }
                
            }
        }
    }
}

#Preview {
    Grids_and_Lists()
}
