//
//  ImagegridItem.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import SwiftUI

struct ImagegridItem: View {
    let imageName: String
    let title: String
    
    var body: some View {
        VStack {
            Image(systemName: imageName)
                .resizable()
                .scaledToFit()
                .frame(width: 80, height: 80)
                .background(Color.gray.opacity(0.2))
                .clipShape(RoundedRectangle(cornerRadius: 15))
            Text(title)
                .font(.caption)
                .padding(.top, 5)
        }.padding()
            .background(.white)
            .clipShape(RoundedRectangle(cornerRadius: 15))
            .shadow(radius: 5)
    }
}

#Preview {
    ImagegridItem(imageName: "", title: "")
}
