//
//  Intermediate_SwiftUIApp.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import SwiftUI


@main
struct Intermediate_SwiftUIApp: App {
    @State var path = [String]()
    let persistenceController = PersistenceController.shared
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environment(\.managedObjectContext, persistenceController.container.viewContext)
                .onOpenURL {
                    url in
                    handleDeepLink(url)
                }
        }
    }
    
    func handleDeepLink(_ url: URL) {
        //myapp://settings
        if url.absoluteString.contains("details") {
            path.append("Details")
        }else if url.absoluteString.contains("settings") {
            path.append("Settings")
        }
    }
    
}
