//
//  MapViewController.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import Foundation
import UIKit
import SwiftUI
import MapKit

struct MapViewController: UIViewControllerRepresentable {
    func makeUIViewController(context: Context) -> some UIViewController {
        let viewController = UIViewController()
        
        let mapView = MKMapView(frame: viewController.view.bounds)
        mapView.autoresizingMask = [.flexibleWidth, .flexibleHeight]
        
        
        let initialLocation = CLLocationCoordinate2D(latitude: 40.7128, longitude: -74.0060)
        let region = MKCoordinateRegion(center: initialLocation, latitudinalMeters:10000, longitudinalMeters: 10000)
        mapView.setRegion(region, animated: true)
        
        viewController.view.addSubview(mapView)
        return viewController
    }
    func updateUIViewController(_ uiViewController: UIViewControllerType, context: Context) {
        //
    }
}
