//
//  Navigation.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct Navigation: View {
    
    @State var path = [String]()
    
    var body: some View {
        NavigationStack(path: $path) {
            List {
                Button("Go to Details programmatically") {
                    path.append("Details")
                }
                Button("Go to Settings programmatically") {
                    path.append("Settings")
                }
            }
            .navigationTitle("Home")
            .navigationDestination(for: String.self) { value in
                
                if value == "Details" {
                    DetailView()
                } else if value == "Settings" {
                    SettingsView()
                }
            }
        }
        
    }
}

#Preview {
    Navigation()
}
