//
//  NewTransition.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import SwiftUI

extension AnyTransition {
    static var moveScaleAndFace: AnyTransition {
        let insertion = AnyTransition
            .scale
            .combined(with: .move(edge: .leading))
            .combined(with: .opacity)
        let removal = AnyTransition
            .scale
            .combined(with: .move(edge: .top))
            .combined(with: .opacity)
        
        return .asymmetric(insertion: insertion, removal: removal)
    }
}
