//
//  SplitView.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct SplitView: View {
    var body: some View {
        NavigationSplitView {
            SideBarView()
        } detail: {
            DetailsView()
        }
    }
}

struct SideBarView: View {
    var body: some View {
        List {
            Text("Item 1")
            Text("Item 2")
        }.listStyle(SidebarListStyle())
    }
}

struct DetailsView: View {
    var body: some View {
        Text("Hello Details for item 1")
    }
}

#Preview {
    SplitView()
}
