//
//  CustomButton.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct CustomButton: View {
    let title: String
    let backgroundColor: Color
    let textColor: Color
    let action: () -> Void
    
    
    
    var body: some View {
        Button(action: action) {
            Text(title)
                .font(.headline)
                .padding()
                .frame(maxWidth: .infinity)
                .background(backgroundColor)
                .foregroundStyle(textColor)
                .clipShape(RoundedRectangle(cornerRadius: 10))
        }
    }
}

#Preview {
    var clickMe = {
        print("You Clicked Me")
    }
    
    CustomButton(title: "",backgroundColor: .gray, textColor: .green ,action: clickMe)
}
